.TH wxDirDialog 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxDirDialog \- See external documentation: wxDirDialog\&.
.SH DESCRIPTION
.LP
See external documentation: wxDirDialog <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirdialog\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxDialog 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxDirDialog()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxDirDialog()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxDirDialog()
.br
.RS
.TP
Types
Option = {title, string()} | {defaultPath, string()} | {style, integer()} | {pos, {X::integer(), Y::integer()}} | {sz, {W::integer(), H::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirdialog\&.html#wxdirdialogwxdirdialog>\&.
.RE
.LP
.B
getPath(This::wxDirDialog()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirdialog\&.html#wxdirdialoggetpath>\&.
.RE
.LP
.B
getMessage(This::wxDirDialog()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirdialog\&.html#wxdirdialoggetmessage>\&.
.RE
.LP
.B
setMessage(This::wxDirDialog(), Message::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirdialog\&.html#wxdirdialogsetmessage>\&.
.RE
.LP
.B
setPath(This::wxDirDialog(), Path::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdirdialog\&.html#wxdirdialogsetpath>\&.
.RE
.LP
.B
destroy(This::wxDirDialog()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
